get_font_ranges(3)

NAME
get_font_ranges - Returns the number of character ranges in a font. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int get_font_ranges(FONT *f)

DESCRIPTION
Use this function to find out the number of character ranges in a font. You should query each of these ranges with get_font_range_begin() and get_font_range_end() to find out what characters are available in the font. Example:
   FONT *f;
   int range;
   int n;
   ...

   range = get_font_ranges(f);
   printf("The font has %d character ranges:\n", range);
   for (n = 0; n < range; n++)
      printf("Range %d from 0x%03x - 0x%03x\n",
             get_font_range_begin(f, n),
             get_font_range_end(f, n));

RETURN VALUE
Returns the number of continuous character ranges in a font, or -1 if that information is not available.

SEE ALSO
get_font_range_begin(3), get_font_range_end(3), transpose_font(3)